# {%= name %} {%= badge("fury") %}

> {%= description %}

See [node-dateformat](https://github.com/felixge/node-dateformat) for all available options.

{%= include("install-npm", {save: true}) %}

## Run tests

```bash
npm test
```

## Register the helper

> This should work with any engine, here some examples


### [template]

Register the helper for use with any template engine

```js
template.helper('{%= nickname %}', require('{%= name %}'));
```

### [assemble]

To register the helper for use with [assemble] v0.6.x:

```js
assemble.helper('{%= nickname %}', require('{%= name %}'));
```

### [verb]

Register the helper for use with [verb]:

```js
var verb = require('verb');
verb.helper('{%= nickname %}', require('{%= name %}'));
```

Usage

```js
// doc.md
{%%= dateformat("MMMM DD, YYYY") %}

// render

verb.task('default', function() {
  verb.src('doc.md')
    .pipe(verb.dest('./'));
});
```

### [handlebars](https://github.com/wycats/handlebars.js/)

```js
var handlebars = require('handlebars');
handlebars.registerHelper('{%= strip(name, "helper-") %}', require('{%= name %}'));
```
Usage

```html
{{dateformat "MMMM DD, YYYY"}}
```

### [Lo-Dash] or [underscore]

```js
var helper = require('helper-dateformat');

// as a mixin
_.mixin({dateformat: helper});
_.template('<%= dateformat("MMMM DD, YYYY") %>', {});

// passed on the context
_.template('<%= dateformat("MMMM DD, YYYY") %>', {dateformat: helper});

// as an import
var settings = {imports: {dateformat: helper}};
_.template('<%= dateformat("MMMM DD, YYYY") %>', {}, settings);
```


## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue]({%= bugs.url %})

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[assemble]: https://github.com/assemble/assemble
[generator-verb]: https://github.com/assemble/generator-verb
[handlebars-helpers]: https://github.com/assemble/handlebars-helpers/
[handlebars]: https://github.com/wycats/handlebars.js/
[helpers]: https://github.com/helpers
[Lo-Dash]: https://lodash.com/
[template]: https://github.com/jonschlinkert/template
[underscore]: https://github.com/jashkenas/underscore
[verb]: https://github.com/assemble/verb
[guide]: https://github.com/helpers/requests