# helper-dateformat [![NPM version](https://badge.fury.io/js/helper-dateformat.svg)](http://badge.fury.io/js/helper-dateformat)

> Template helper for adding formatted dates using node-dateformat. Works with Handlebars, Lo-Dash, underscore, or any template engine that supports helper functions. Also compatible with verb, assemble and Template.

See [node-dateformat](https://github.com/felixge/node-dateformat) for all available options.

## Install with [npm](npmjs.org)

```bash
npm i helper-dateformat --save
```

## Run tests

```bash
npm test
```

## Register the helper

> This should work with any engine, here some examples


### [template]

Register the helper for use with any template engine

```js
template.helper('dateformat', require('helper-dateformat'));
```

### [assemble]

To register the helper for use with [assemble] v0.6.x:

```js
assemble.helper('dateformat', require('helper-dateformat'));
```

### [verb]

Register the helper for use with [verb]:

```js
var verb = require('verb');
verb.helper('dateformat', require('helper-dateformat'));
```

Usage

```js
// doc.md
{%= dateformat("MMMM DD, YYYY") %}

// render

verb.task('default', function() {
  verb.src('doc.md')
    .pipe(verb.dest('./'));
});
```

### [handlebars](https://github.com/wycats/handlebars.js/)

```js
var handlebars = require('handlebars');
handlebars.registerHelper('dateformat', require('helper-dateformat'));
```
Usage

```html
{{dateformat "MMMM DD, YYYY"}}
```

### [Lo-Dash] or [underscore]

```js
var helper = require('helper-dateformat');

// as a mixin
_.mixin({dateformat: helper});
_.template('<%= dateformat("MMMM DD, YYYY") %>', {});

// passed on the context
_.template('<%= dateformat("MMMM DD, YYYY") %>', {dateformat: helper});

// as an import
var settings = {imports: {dateformat: helper}};
_.template('<%= dateformat("MMMM DD, YYYY") %>', {}, settings);
```


## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/helpers/helper-dateformat/issues)

## Author

**Jon Schlinkert**
 
+ [github/helpers](https://github.com/helpers)
+ [twitter/helpers](http://twitter.com/helpers) 

## License
Copyright (c) 2014 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on December 06, 2014. To update, run `npm i -g verb && verb`._

[assemble]: https://github.com/assemble/assemble
[generator-verb]: https://github.com/assemble/generator-verb
[handlebars-helpers]: https://github.com/assemble/handlebars-helpers/
[handlebars]: https://github.com/wycats/handlebars.js/
[helpers]: https://github.com/helpers
[Lo-Dash]: https://lodash.com/
[template]: https://github.com/jonschlinkert/template
[underscore]: https://github.com/jashkenas/underscore
[verb]: https://github.com/assemble/verb
[guide]: https://github.com/helpers/requests